Package: org.gradle.api.publish

## [Java] Interface PublicationContainer

- java.util.Collection

- All Superinterfaces:
    NamedDomainObjectContainer, DomainObjectCollection, PolymorphicDomainObjectContainer, NamedDomainObjectCollection, org.gradle.api.internal.rules.NamedDomainObjectFactoryRegistry, org.gradle.util.Configurable, Iterable, Set, NamedDomainObjectSet, Collection

  A `PublicationContainer` is responsible for creating and managing Publication instances. The set of available publication types is dependent on the application of particular plugins:

  - The MavenPublishPlugin makes it possible to create MavenPublication instances.
  - The IvyPublishPlugin makes it possible to create IvyPublication instances.

       apply plugin: 'ivy-publish'

       publishing.publications.create('publication-name', IvyPublication) {
           // Configure the ivy publication here
       }

  The usual way to add publications is via a configuration block. See the documentation for PublishingExtension.publications for examples of how to create and configure publications.
  See Also:
    Publication
    PublishingExtension
  Since:
    1.3

- - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `interface ExtensiblePolymorphicDomainObjectContainer` | `registerBinding, registerFactory, registerFactory, create, create, containerWithType, maybeCreate, create, create, create, configure, maybeCreate, matching, matching, findAll, withType, add, addAll, getByName, getByName, matching, matching, withType, getAt, findByName, getAsMap, getNames, addRule, addRule, getNamer, getRules, all, all, matching, matching, findAll, withType, withType, withType, whenObjectAdded, whenObjectAdded, whenObjectRemoved, whenObjectRemoved, equals, hashCode, clear, contains, isEmpty, size, toArray, toArray, iterator, remove, containsAll, removeAll, retainAll, add, equals, hashCode, clear, contains, isEmpty, size, toArray, toArray, addAll, iterator, remove, containsAll, removeAll, retainAll, configure`
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`